Adobe Creative Suite 5.5 Mac

Community Beginner ,
Jun 07, 2021 Jun 07, 2021

Copy link to clipboard

Copied

I have an Adobe Creative Suite 5.5 design premium disk. I see the requirements need Mac OS X v. 10.5.9 or 10.6. I have snow leopard v 10.6.3 and I'm wondering if it has to be exactly 10.6 to work?

TOPICS
Installation

Views

178

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Jun 07, 2021 Jun 07, 2021

Copy link to clipboard

Copied

It should work under 10.6.3.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jun 07, 2021 Jun 07, 2021

Copy link to clipboard

Copied

LATEST

It should, or it will. Because it is mentioned 

  • Mac OS X v10.5.8 or v10.6

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines